package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyBillDetailQueryRequest struct {
	/*
	   请求对象     */
	DetailRequest *domain.AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest `json:"detail_request" required:"true" `
}

func (s *AlibabaTclsAelophyBillDetailQueryRequest) SetDetailRequest(v domain.AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) *AlibabaTclsAelophyBillDetailQueryRequest {
	s.DetailRequest = &v
	return s
}

func (req *AlibabaTclsAelophyBillDetailQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.DetailRequest != nil {
		paramMap["detail_request"] = util.ConvertStruct(*req.DetailRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyBillDetailQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
